/**
 * App credentials to initialize.
 * @interface AppCredentials
 * @author Daniel Mejia
 */
export interface AppCredentials {
  appId: number;
  authKey: string;
  authSecret: string;
}

/**
 * App configuration to initialize.
 * @interface AppConfig
 * @author Daniel Mejia
 */
export interface AppConfig {
  debug: {
    mode: 0 | 1
  }
}
