/**
 * Chat user object.
 * @interface User
 * @author Daniel Mejia
 */
export interface User {
  id: number;
  avatar: string;
  blobId: null;
  createdAt: string;
  email?: string;
  externalUserId?: string;
  facebookId?: string;
  fullName: string;
  lastRequestAt: string;
  login: string;
  phone: string;
  twitterId?: string
  updatedAt: string;
  website?: string;
}
