// Dependencies
import ConnectyCube from 'react-native-connectycube';

/**
 * Chat process.
 * @class Chat
 * @author Daniel Mejia
 */
export class Chat {
  connect = (userId: number, password: string): Promise<void> => {
    return ConnectyCube.chat.connect({ userId, password });
  }
}

export default new Chat();
