import ConnectyCube from 'react-native-connectycube';
import * as humps from 'humps';

// Dtos
import { UserCreate } from './dto/user.create';
import { User } from './dto/user';

function process(target: unknown, propertyKey: string) {
  console.log('internal', target, propertyKey);
}

export class Users {
  @process
  signUp = async (user: UserCreate): Promise<User> => {
    await ConnectyCube.createSession();
    return ConnectyCube.users
      .signup(humps.decamelizeKeys(user))
      .then(humps.camelizeKeys);
  };
}

export default Users;
