// Dependencies
import React from 'react';
import { Text } from 'react-native';
import { Channel } from '@src/chatClient/dto/channel';

export function ChannelItem(props: Channel): React.ReactElement {
  const { lastMessage } = props;
  return <Text>{lastMessage}</Text>;
}

export default React.memo(ChannelItem);
