// Dependencies
import React from 'react';
import { AuthContext, AuthContextType } from '../../components/ChatProvider';

export function useAuth(): AuthContextType {
  return React.useContext<AuthContextType>(AuthContext);
}

export default useAuth;
