// Dependencies
import { ChannelsResponse } from '@src/chatClient/dto/channelsResponse';
import chatClient from '../../chatClient';

// Hooks
import * as RequestHooks from '../request';

export function useChannels(): RequestHooks.Fetch<ChannelsResponse> {
  const initialValue: ChannelsResponse = { items: [] };
  return RequestHooks.useFetch(chatClient.channels.getChannels, initialValue);
}

export default undefined;
